"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
function getWindowSize() {
    const { innerWidth: width, innerHeight: height } = window;
    return {
        isMobile: width < 767,
        width,
        height
    };
}
function useWindowSize() {
    const [windowSize, setWindowSize] = (0, react_1.useState)(getWindowSize());
    (0, react_1.useEffect)(() => {
        function handleResize() {
            setWindowSize(getWindowSize());
        }
        window.addEventListener('resize', handleResize);
        return () => window.removeEventListener('resize', handleResize);
    }, []);
    return windowSize;
}
exports.default = useWindowSize;
