export type ConfigState = {
    sidebarCollapsed: boolean;
    counterBatch: number;
};
export type ConfigValue = {
    configId: string;
    key: string;
    value: string;
    createdAt: string;
    updatedAt: string;
};
export interface BaseResponseProps<T> {
    code: string;
    message: string;
    payload: T;
}
export interface BaseResponsePaginationProps<T> {
    code: string;
    message: string;
    payload: {
        count: number;
        prev: string;
        next: string;
        results: Array<T>;
    };
}
export interface DefaultQuery {
    limit?: number;
    offset?: number;
}
export declare const initialConfig: ConfigState;
export type ResponseConfig = BaseResponseProps<ConfigValue>;
export type ResponseConfigPagination = BaseResponsePaginationProps<ConfigValue>;
