"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateQueryString = void 0;
function generateQueryString(params) {
    if (!params)
        return '';
    const query = Object.keys(params)
        .filter((key) => {
        if (Array.isArray(params[key])) {
            return params[key].length > 0;
        }
        else {
            return !!params[key];
        }
    })
        .map((key) => {
        if (params[key]) {
            return key + '=' + params[key];
        }
        return null;
    })
        .join('&');
    return query && '?' + query;
}
exports.generateQueryString = generateQueryString;
